AnnotationDecorator (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.annotations

## Class AnnotationDecorator

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationDecorator

- All Implemented Interfaces:
    ServletContextHandler.Decorator

      public class AnnotationDecorator
      extends Object
      implements ServletContextHandler.Decorator

  WebAppDecoratorWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationDecorator(WebAppContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decorateFilterHolder(FilterHolder filter)`
    `<T extends javax.servlet.Filter> T` | `decorateFilterInstance(T filter)`
    `<T extends EventListener> T` | `decorateListenerInstance(T listener)`
    `void` | `decorateServletHolder(ServletHolder servlet)`
    `<T extends javax.servlet.Servlet> T` | `decorateServletInstance(T servlet)`
    `void` | `destroyFilterInstance(javax.servlet.Filter f)`
    `void` | `destroyListenerInstance(EventListener f)`
    `void` | `destroyServletInstance(javax.servlet.Servlet s)`
    `protected void` | `introspect(Object o)` Look for annotations that can be discovered with introspection: Resource Resources PostConstruct PreDestroy ServletSecurity?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationDecorator

          public AnnotationDecorator(WebAppContext context)

      Parameters:
        `context` -

  - ### Method Detail

    - #### decorateFilterHolder

          public void decorateFilterHolder(FilterHolder filter)
                                    throws javax.servlet.ServletException

      Specified by:
        `decorateFilterHolder` in interface `ServletContextHandler.Decorator`
      Parameters:
        `filter` -
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `ServletContextHandler.Decorator.decorateFilterHolder(org.eclipse.jetty.servlet.FilterHolder)`

    - #### decorateFilterInstance

          public <T extends javax.servlet.Filter> T decorateFilterInstance(T filter)
                                                                throws javax.servlet.ServletException

      Specified by:
        `decorateFilterInstance` in interface `ServletContextHandler.Decorator`
      Type Parameters:
        `T` -
      Parameters:
        `filter` -
      Returns:
        the decorated filter
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `ServletContextHandler.Decorator.decorateFilterInstance(javax.servlet.Filter)`

    - #### decorateListenerInstance

          public <T extends EventListener> T decorateListenerInstance(T listener)
                                                           throws javax.servlet.ServletException

      Specified by:
        `decorateListenerInstance` in interface `ServletContextHandler.Decorator`
      Type Parameters:
        `T` -
      Parameters:
        `listener` -
      Returns:
        the decorated event listener instance
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `ServletContextHandler.Decorator.decorateListenerInstance(java.util.EventListener)`

    - #### decorateServletHolder

          public void decorateServletHolder(ServletHolder servlet)
                                     throws javax.servlet.ServletException

      Specified by:
        `decorateServletHolder` in interface `ServletContextHandler.Decorator`
      Parameters:
        `servlet` -
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `ServletContextHandler.Decorator.decorateServletHolder(org.eclipse.jetty.servlet.ServletHolder)`

    - #### decorateServletInstance

          public <T extends javax.servlet.Servlet> T decorateServletInstance(T servlet)
                                                                  throws javax.servlet.ServletException

      Specified by:
        `decorateServletInstance` in interface `ServletContextHandler.Decorator`
      Type Parameters:
        `T` -
      Parameters:
        `servlet` -
      Returns:
        the decorated servlet instance
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `ServletContextHandler.Decorator.decorateServletInstance(javax.servlet.Servlet)`

    - #### destroyFilterInstance

          public void destroyFilterInstance(javax.servlet.Filter f)

      Specified by:
        `destroyFilterInstance` in interface `ServletContextHandler.Decorator`
      Parameters:
        `f` -
      See Also:
        `ServletContextHandler.Decorator.destroyFilterInstance(javax.servlet.Filter)`

    - #### destroyServletInstance

          public void destroyServletInstance(javax.servlet.Servlet s)

      Specified by:
        `destroyServletInstance` in interface `ServletContextHandler.Decorator`
      Parameters:
        `s` -
      See Also:
        `ServletContextHandler.Decorator.destroyServletInstance(javax.servlet.Servlet)`

    - #### destroyListenerInstance

          public void destroyListenerInstance(EventListener f)

      Specified by:
        `destroyListenerInstance` in interface `ServletContextHandler.Decorator`
      Parameters:
        `f` -
      See Also:
        `ServletContextHandler.Decorator.destroyListenerInstance(java.util.EventListener)`

    - #### introspect

          protected void introspect(Object o)

      Look for annotations that can be discovered with introspection:
      - Resource
      - Resources
      - PostConstruct
      - PreDestroy
      - ServletSecurity?
      Parameters:
        `o` -

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.